#!/bin/bash

#
#$ -wd /nica/mpd21/$USER/TMP
#$ -cwd
#$ -N run_dca
#$ -q all.q
#$ -l h_rt=00:10:00
#$ -l s_rt=00:10:00
#$ -t 1-200
#
#$ -o /nica/mpd21/$USER/TMP
#$ -e /nica/mpd21/$USER/TMP
#

ecm=7.7
COMMIT=prod1

export INITIAL_FILELIST=/nica/mpd21/${USER}/mpd_winter2019/winter_scripts/batch_scripts/sge/urqmd_7.7gev.list
CURRENT_FILE=`sed "${SGE_TASK_ID}q;d" ${INITIAL_FILELIST}`
FILE_NAME=`basename ${CURRENT_FILE}`
FILE_NAME1=`echo ${FILE_NAME} | sed -e 's/mpddst/dca/g'`
FILE_NAME2=`echo ${FILE_NAME1} | sed -e 's/.root/.log/g'`
OUTPUT_FILE=/nica/mpd21/${USER}/mpd_winter2019/mpd_prod/${ecm}gev/${COMMIT}/dca/files/${FILE_NAME1}
LOG=/nica/mpd21/${USER}/mpd_winter2019/mpd_prod/${ecm}gev/${COMMIT}/dca/logs/${FILE_NAME2}
#OUTPUT_FILE=`echo ${CURRENT_FILE} | sed -e 's/mpd_data/mpd_prod/g' -e 's/reco/dca\/files/g' -e 's/mpddst/dca/g'`
#LOG=`echo ${CURRENT_FILE} | sed -e 's/mpd_data/mpd_prod/g' -e 's/reco/dca\/logs/g' -e 's/mpddst/dca/g' -e 's/.root/.log/g'`
OUTPUT_DIR=`dirname ${OUTPUT_FILE}`
LOG_DIR=`dirname ${LOG}`

mkdir -p ${OUTPUT_DIR}
mkdir -p ${LOG_DIR}

export CURRENT_DIR=$PWD

export MPDROOT_DIR=/nica/mpd21/parfenov/Soft/MPDROOT/mpdroot_181219
export MACRO_DIR=$MPDROOT_DIR/macro/mpd
export BUILD_DIR=$MPDROOT_DIR/build
export SCRIPT_DIR=/nica/mpd21/parfenov/mpd_winter2019/winter_scripts
export SCRIPT_BUILD_DIR=${SCRIPT_DIR}/build
export RUN_EXE=${SCRIPT_BUILD_DIR}/get-dca/get-dca

. ${MPDROOT_DIR}/SetEnv.sh &>> $LOG
. ${BUILD_DIR}/config.sh &>> $LOG

export Root=${ROOTSYS}/bin/root
#export TMPDIR=/nica/mpd21/$USER/TMP/TMP_${JOB_ID}_${SGE_TASK_ID}
#export TMPALL=/nica/mpd21/$USER/TMP

#mkdir -p $TMPDIR
#rsync -vazr ${SCRIPT_DIR}/* ${TMPDIR}/ &>> $LOG
if [ ! -e "${RUN_EXE}" ]; then
  echo "Error: No executable was found (${RUN_EXE}). Exit..." &>> $LOG
  exit 1 &>> $LOG
fi

$RUN_EXE -i $CURRENT_FILE -o $OUTPUT_FILE &>> $LOG

echo "Done!" &>> $LOG
